#pragma once
#include "ParamFloat.h"

namespace ffgl
{

class ParamRange : public ParamFloat
{
public:
	ParamRange( const std::string& name, float defaultValue, const RangeStruct range );
	ParamRange( const std::string& name, const std::string& uniformName, float defaultValue, const RangeStruct range );
	ParamRange( const std::string& name, ParameterType type, float defaultValue, const RangeStruct range );
	ParamRange( const std::string& name, ParameterType type, const std::string& uniformName, float defaultValue, const RangeStruct range );

	~ParamRange();

	//const std::string& GetDisplay() const override;

	const RangeStruct GetRange() const;
	void SetRange( const RangeStruct newRange );

	float GetFloatValue() const override;

protected:
	RangeStruct range;
};

}//End namespace ffgl
